import React, { useState } from "react";
import { Tabs, Tab, Box, Typography } from "@mui/material";
import { Link } from "@inertiajs/react";
import moment from 'moment';
const Profile = ({link,user,userposts,first_char}) => {
console.log("link ", link);
  const [selectedTab, setSelectedTab] = useState(0);

  // Handle tab change
  const handleChange = (event, newValue) => {
    setSelectedTab(newValue);
  };

  return (
    <div className="w-2/3 mx-auto bg-white rounded-lg p-6">
      {/* Header */}
      <div className="flex items-center space-x-3 mb-4">
        <button className="text-lg text-gray-600">&larr;</button>
        <h1 className="text-xl font-semibold">{user.first_name} {user.last_name}</h1>
      </div>

      {/* User Info */}
      <div className=" mb-6 flex gap-5">
        <div className="flex flex-col">
        <div className="w-16 h-16 bg-blue-100 text-[#8E0074] rounded-full flex items-center justify-center text-2xl font-bold mx-auto">
          {first_char}
        </div>
        <Link href={link} className="text-[#8E0074] border-[#8E0074] border-1 py-2 px-4 text-sm rounded mt-4">
          Edit
        </Link>
        </div>
        <div className="flex flex-col">
        <div className="flex justify-around text-sm text-gray-700 gap-10">
          <div>
            <div className="font-medium text-lg text-[#8E0074]">{userposts}</div>
            <div className="text-[#022b6980]">All Posts</div>
          </div>
          <div>
            <div className="font-medium text-lg text-[#8E0074]">0</div>
            <div className="text-[#022b6980]">Post Rep</div>
          </div>
          <div>
            <div className="font-medium text-lg text-[#8E0074]">0</div>
            <div className="text-[#022b6980]">Comment Rep</div>
          </div>
        </div>
        <div className="text-sm text-gray-500 mt-4 flex gap-4">
          <span>{ moment(user.created_at).format('MMMM YYYY')}</span> • <span>0 Follower</span> • <span>2 Following</span>
        </div>
        </div>
     
      </div>

      {/* MUI Tabs */}
      <Box>
        <Tabs
          value={selectedTab}
          onChange={handleChange}
          variant="fullWidth"
          textColor="primary"
          indicatorColor="primary"
        >
          <Tab label="Posts" />
          <Tab label="Trades" />
          <Tab label="Stocks" />
        </Tabs>
      </Box>

      {/* Content */}
      <Box sx={{ p: 2 }}>
        {selectedTab === 0 && (
           <Box textAlign="center" color="text.secondary">
           {/* Icon or SVG Placeholder */}
           <Box
             sx={{
               width: 48,
               height: 48,
               backgroundColor: "blue.100",
               borderRadius: "50%",
               mx: "auto",
               mb: 2,
               display: "flex",
               alignItems: "center",
               justifyContent: "center",
             }}
           >
             {/* Add your SVG or Icon here */}
           </Box>
     
           {/* Title */}
           <Typography variant="h6" fontWeight="medium" gutterBottom>
             Oops! Nothing yet?
           </Typography>
     
           {/* Subtitle */}
           <Typography variant="body2">
             Today is the day to take a leap forward
           </Typography>
         </Box>
        )}
        {selectedTab === 1 && (
          <Typography align="center" color="text.secondary">
            Oops! Nothing yet in Trades.
          </Typography>
        )}
        {selectedTab === 2 && (
          <Typography align="center" color="text.secondary">
            Oops! Nothing yet in Stocks.
          </Typography>
        )}
      </Box>
    </div>
  );
};

export default Profile;
